// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.Commands;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.WaitCommand;
import frc.robot.Subsystems.Accumulateur;
import frc.robot.Subsystems.Lanceur;

public class Lancer extends Command {
  private Lanceur lanceur;
  private Accumulateur accumulateur;
  /** Creates a new Lancer. */
  public Lancer(Lanceur lanceur,Accumulateur accumulateur) {
    this.lanceur = lanceur;
    this.accumulateur = accumulateur;
    addRequirements(lanceur, accumulateur);
    // Use addRequirements() here to declare subsystem dependencies.
  }
  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    lanceur.PIDlanceur(0, 0, 0);
  }
  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    lanceur.lance();
    accumulateur.Petitlanceur(0.7);
    accumulateur.desaccumule(0.2);
    
   
   
  }
  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    lanceur.lance(0);
  }
  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
